Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora
Class CompilationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              avrora.Avrora.Error
                  avrora.CompilationError

All Implemented Interfaces:
  java.io.Serializable

public class CompilationError
extends Avrora.Error

The `CompilationError` class represents an error in a user program, including the module contents and line and column numbers.

See Also:
  Serialized Form

Field Summary
`static boolean` | `CLASSES`
`java.lang.String` | `errclass`
`java.lang.String[]` | `errparams`
`ProgramPoint` | `point`

Fields inherited from class avrora.Avrora.Error
`message, param, STACKTRACES`

Constructor Summary
`CompilationError(ProgramPoint p, java.lang.String msg, java.lang.String ec, java.lang.String[] ps)`

Method Summary
`java.lang.String` | `getErrorClass()`
`java.lang.String[]` | `getErrorParams()`
`void` | `report()`

Methods inherited from class avrora.Avrora.Error
`getParam`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### point

    public final ProgramPoint point

### errclass

    public final java.lang.String errclass

### errparams

    public final java.lang.String[] errparams

### CLASSES

    public static boolean CLASSES

Constructor Detail

### CompilationError

    public CompilationError(ProgramPoint p,
                            java.lang.String msg,
                            java.lang.String ec,
                            java.lang.String[] ps)

Method Detail

### report

    public void report()

  Overrides:
    `report` in class `Avrora.Error`

### getErrorClass

    public java.lang.String getErrorClass()

### getErrorParams

    public java.lang.String[] getErrorParams()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD